Post-Processing
===================

The post-processing tab is situated below the transports bar, just beside the In/Out tab.

.. image:: /images/Post-processing.png

In this tab, you can add post-processing effects on the output audio file. It is possible to add up to 3 post-processing modules.  Signal routing is from top to bottom.  Set audio parameters with the buttons on the left side.  Computation must be restarted for the post-processing to take effects.

Choose the post-processing module in the "Effects" menu. The "Type" menu allows you to alternate between active module and bypass or to make a choice between different options, depending of the module.

Reverberation
---------------------------------------

**Parameters**
    - Mix (dry/wet mix)
    - Time (reverberation time in seconds)
    - Damp (filtering of high frequencies)
    
In the "Type" menu, you can choose between activate (active) and bypass the effect.


Filter
---------------------------------------

**Parameters** 
    - Level (gain of the filtered signal, in decibels)
    - Freq (cutoff frequency or central frequency of the filter)
    - Q (Q factor/filter resonance). 
    
In the "Type" menu, you can choose between four types of filters : lowpass, highpass, bandpass and band reject. You can also select "bypass" to bypass the effect.

Chorus
---------------------------------------

**Parameters** 
    - Mix (dry/wet mix)
    - Depth (amplitude of the modulation)
    - Feed (feedback factor). 
    
In the "Type" menu, you can choose between activate (active) and bypass the effect.

Parametric equalizer
---------------------------------------

**Parameters** 
    - Freq (cutoff frequency or central frequency of the filter)
    - Q (Q factor/filter resonance)
    - Gain (intensity of the filtered signal, in decibels). 
    
In the "Type" menu, you can choose between three types of equalizers: Peak/Notch, Lowshelf and Highshelf. You can also select "bypass" to bypass the effect.

Equalizer in three frequency bands
---------------------------------------

**Parameters** 
    - Low (low-freq filtering)
    - Mid (mid-freq filtering)
    - High (high-freq filtering). 
    
In the "Type" menu, you can choose between activate (active) and bypass the effect.

Compression
---------------------------------------

**Parameters** 
    - Thresh (compression threshold, in decibels)
    - Ratio (compression ratio)
    - Gain (intensity of the compressed signal, in decibels). 
    
In the "Type" menu, you can choose between activate (active) and bypass the effect.

Noise gate
---------------------------------------

**Parameters** 
    - Thresh (in decibels - threshold below which the sound is attenuated)
    - Rise (rise time or attack, in seconds)
    - Fall (release time, in seconds). 
    
In the "Type" menu, you can choose between activate (active) and bypass the effect.

Distorsion
---------------------------------------

**Parameters** 
    - Drive (intensity of the distorsion; from 0 - no distorsion - to 1 - square transfert fonction)
    - Slope (normalized cutoff frequency of the low-pass filter; from 0 - no filter - to 1 - very low cutoff frequency)
    - Gain (level of the distorted signal, in decibels). 
    
In the "Type" menu, you can choose between activate (active) and bypass the effect.

Amplitude modulator
---------------------------------------

**Parameters** 
    - Freq (frequency of the modulating wave)
    - Amp (amplitude of the modulating wave)
    - Stereo (phase difference between the two stereo channels; from 0 - no phase difference - and 1 - left and right channels are modulated in alternance through the phase offset of the modulator of the right channel). 
    
In the "Type" menu, you can choose between amplitude modulation (Amplitude) and ring modulation (RingMod) or bypass the effect.

Phaser
---------------------------------------

Phasing effect based on all-pass filters that generates resonance peaks in the spectrum. 

**Parameters** 
    - Freq (frequency of the first all-pass filter)
    - Q (Q factor/filter resonance)
    - Spread (spread factor - exponential operator that determinates the frequency of all other all-pass filters). 
    
In the "Type" menu, you can choose between activate (active) and bypass the effect.

Delay
---------------------------------------

**Parameters** 
    - Delay (delay time, in milliseconds)
    - Feed (feedback factor, between 0 and 1)
    - Mix (dry/wet mix). 
    
In the "Type" menu, you can choose between activate (active) and bypass the effect.

Flanger
---------------------------------------

**Parameters** 
    - Depth (amplitude of the LFO that modulates the delay. The modulation is set around a central time of 5 milliseconds 
    - Freq (frequency of the modulating LFO)
    - Feed (feedback factor - enhances the resonances in the spectrum). 
    
In the "Type" menu, you can choose between activate (active) and bypass the effect.

Transposition
---------------------------------------

**Parameters** 
    - Transpo (transposition factor, in semi-tones), 
    - Feed (feedback factor)
    - Mix (dry/wet mix). 
    
In the "Type" menu, you can choose between activate (active) and bypass the effect.

Resonators
---------------------------------------

Audio effect based on delays that generates harmonic resonances in the spectrum. 

**Parameters** 
    - Freq (frequency of the first harmonic resonance)
    - Spread (spread factor - exponential operator that determinates the frequency of all other harmonic resonances)
    - Mix (dry/wet mix). 
    
In the "Type" menu, you can choose between activate (active) and bypass the effect.

Detuned resonators
---------------------------------------

Similar to the Resonators effect. In this case, the harmonic resonances are slightly detuned. 

**Parameters** 
    - Freq (frequency of the first harmonic resonance)
    - Detune (detune of the other harmonic resonances)
    - Mix (dry/wet mix). 
    
In the "Type" menu, you can choose between activate (active) and bypass the effect.


